Bug 1262788 - Add aarch64 and ppc64le to list of architectures where TBB is supported
Add aarch64 and ppc64le to list of architectures where TBB is supported
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: opencv (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le/PPC64LETracker
  Show dependency treegraph
 
Reported: 2015-09-14 07:23 EDT by Marcin Juszkiewicz
Modified: 2015-12-16 09:37 EST (History)
6 users (show)

See Also:
Fixed In Version: opencv-2.4.12.3-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 09:37:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch, (556 bytes, patch)
2015-09-15 01:22 EDT, Sergio Monteiro Basto
no flags Details | Diff
proposed patch (550 bytes, patch)
2015-09-15 01:34 EDT, Sergio Monteiro Basto
no flags Details | Diff

  None (edit)
Description Marcin Juszkiewicz 2015-09-14 07:23:08 EDT
Description of problem:

opencv spec uses %ifarch to limit amount of architectures where TBB support is possible (disabled by default for whole spec anyway). This list does not cover aarch64 and ppc64le architectures.

Version-Release number of selected component (if applicable):

2.4.11-5

How reproducible:

always

Steps to Reproduce:
1. do build on aarch64 (arm-koji) or ppc64le (ppc-koji) with tbb enabled

Actual results:

tbb is not used (when enabled)

Expected results:

tbb is used (when enabled)

Additional info:

"ppc64 ppc64le" can be replaced with %{power64}
Comment 1 Nicolas Chauvet (kwizart) 2015-09-14 08:58:37 EDT
I will handle the issue with a patch for review at a later step.
Comment 2 Sergio Monteiro Basto 2015-09-15 01:22:01 EDT
Created attachment 1073489 [details]
proposed patch,
Comment 3 Sergio Monteiro Basto 2015-09-15 01:34:35 EDT
Created attachment 1073491 [details]
proposed patch

using %{power64} suggest in the tip .
Comment 4 Marcin Juszkiewicz 2015-11-30 07:15:04 EST
ping?
Comment 5 Sergio Monteiro Basto 2015-12-01 20:03:34 EST
So you approve the patch ?
Comment 6 Fedora Update System 2015-12-02 20:54:39 EST
opencv-2.4.12.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-98daa6ddf5
Comment 7 Fedora Update System 2015-12-03 20:35:22 EST
opencv-2.4.12.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update opencv'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-98daa6ddf5
Comment 8 Fedora Update System 2015-12-16 09:37:16 EST
opencv-2.4.12.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.